com.holonplatform.vaadin7.components.builders

## Interface PropertySelectInputBuilder<T,C extends Input<T>,S,B extends PropertySelectInputBuilder<T,C,S,B>>

- Type Parameters:
    `T` - Value type
    `C` - Component type
    `S` - Selection type
    `B` - Concrete builder type
  All Superinterfaces:
    BaseItemDataSourceComponentBuilder<B>, BaseSelectInputBuilder<T,C,S,com.holonplatform.core.property.PropertyBox,B>, ComponentConfigurator<B>, InputBuilder<T,C,B>, InputConfigurator<T,B>
  All Known Subinterfaces:
    MultiPropertySelectInputBuilder<T>, SinglePropertySelectInputBuilder<T>

      public interface PropertySelectInputBuilder<T,C extends Input<T>,S,B extends PropertySelectInputBuilder<T,C,S,B>>
      extends BaseSelectInputBuilder<T,C,S,com.holonplatform.core.property.PropertyBox,B>

  Builder to create selection `Input`s with `Property` data source support.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.BaseSelectInputBuilder

      `BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>>, BaseSelectInputBuilder.RenderingMode, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default <P extends com.holonplatform.core.property.Property> B` | `dataSource(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> dataTarget, Iterable<P> properties)` Use given `Datastore` with given `dataTarget` as items data source.
    `default <P extends com.holonplatform.core.property.Property<?>> B` | `dataSource(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> dataTarget, P... properties)` Use given `Datastore` with given `dataTarget` as items data source.
    `<P extends com.holonplatform.core.property.Property<?>> B` | `dataSource(ItemDataProvider<com.holonplatform.core.property.PropertyBox> dataProvider, Iterable<P> properties)` Set the selection items data provider to obtain items.
    `default <P extends com.holonplatform.core.property.Property<?>> B` | `dataSource(ItemDataProvider<com.holonplatform.core.property.PropertyBox> dataProvider, P... properties)` Set the selection items data provider to obtain items.
    `B` | `itemAdapter(ItemAdapter<com.holonplatform.core.property.PropertyBox> itemAdapter)` Set the item adapter to use to convert data source items into container items and back.

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.BaseSelectInputBuilder

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemIcon, itemIconGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.InputBuilder

      `asField, build, deferLocalization, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.BaseItemDataSourceComponentBuilder

      `autoRefresh, batchSize, defaultSort, fixedFilter, fixedSort, maxCacheSize, queryParameter, withQueryConfigurationProvider`

- - ### Method Detail

    - #### dataSource

          <P extends com.holonplatform.core.property.Property<?>> B dataSource(ItemDataProvider<com.holonplatform.core.property.PropertyBox> dataProvider,
                                                                               Iterable<P> properties)

      Set the selection items data provider to obtain items.
      Type Parameters:
        `P` - Property type
      Parameters:
        `dataProvider` - Items data provider (not null)
        `properties` - Item property set (not null)
      Returns:
        this

    - #### dataSource

          default <P extends com.holonplatform.core.property.Property<?>> B dataSource(ItemDataProvider<com.holonplatform.core.property.PropertyBox> dataProvider,
                                                                                       P... properties)

      Set the selection items data provider to obtain items.
      Type Parameters:
        `P` - Property type
      Parameters:
        `dataProvider` - Items data provider (not null)
        `properties` - Item property set (not null)
      Returns:
        this

    - #### dataSource

          default <P extends com.holonplatform.core.property.Property> B dataSource(com.holonplatform.core.datastore.Datastore datastore,
                                                                                    com.holonplatform.core.datastore.DataTarget<?> dataTarget,
                                                                                    Iterable<P> properties)

      Use given `Datastore` with given `dataTarget` as items data source.
      Type Parameters:
        `P` - Property type
      Parameters:
        `datastore` - Datastore to use (not null)
        `dataTarget` - Data target to use to load items (not null)
        `properties` - Item property set (not null)
      Returns:
        this

    - #### dataSource

          default <P extends com.holonplatform.core.property.Property<?>> B dataSource(com.holonplatform.core.datastore.Datastore datastore,
                                                                                       com.holonplatform.core.datastore.DataTarget<?> dataTarget,
                                                                                       P... properties)

      Use given `Datastore` with given `dataTarget` as items data source.
      Type Parameters:
        `P` - Property type
      Parameters:
        `datastore` - Datastore to use (not null)
        `dataTarget` - Data target to use to load items (not null)
        `properties` - Item property set (not null)
      Returns:
        this

    - #### itemAdapter

          B itemAdapter(ItemAdapter<com.holonplatform.core.property.PropertyBox> itemAdapter)

      Set the item adapter to use to convert data source items into container items and back.
      Parameters:
        `itemAdapter` - the item adapter (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.